- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Profile Class Reference

An individual profile that will be processed by the Profiler. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Member Functions
| Profile (const String &profileName)
| ~Profile ()
## Protected Attributes
String | mName
| The name of this profile.

## Detailed Description

An individual profile that will be processed by the Profiler.

Remarks:
  Use the macro OgreProfile(name) instead of instantiating this profile directly

  We use this Profile to allow scoping rules to signify the beginning and end of the profile. Use the Profiler singleton (through the macro OgreProfileBegin(name) and OgreProfileEnd(name)) directly if you want a profile to last outside of a scope (ie the main game loop).

Author:
  Amit Mathew (amitmathew (at) yahoo (dot) com)

Definition at line 78 of file OgreProfiler.h.

## Constructor & Destructor Documentation

Ogre::Profile::Profile | ( | const String & | profileName | ) |

Ogre::Profile::~Profile | ( |  | ) |

## Member Data Documentation

String Ogre::Profile::mName`[protected]`

The name of this profile.

Definition at line 87 of file OgreProfiler.h.

The documentation for this class was generated from the following file:

- OgreProfiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:52 2008